Get Defined Entity Type Access
Gets the access control configuration of the entity type's behaviors
Gets the access control configuration of the entity type's behaviors
Request
URI
GET
https://{api_host}/cloudapi/1.0.0/entityTypes/{id}/behaviorAccessControls
COPY
Path Parameters
string
id
Required
id
Query Parameters
integer
page
Required
Constraints:
minimum: 1
default: 1
Page to fetch, zero offset.
integer
pageSize
Required
Constraints:
minimum: 0
maximum: 128
default: 25
Results per page to fetch.
Responses
200
OK
Returns
BehaviorAccesses
of type(s)
application/json;version=9.1.0
This response body class contains all of the following:
Page ,
InlineBehaviorAccesses1
{
"resultTotal": 0,
"pageCount": 0,
"page": 0,
"pageSize": 0,
"associations": [
{
"entityId": "string",
"associationId": "string"
}
],
"values": [
{
"behaviorId": "urn:vcloud:behavior-interface:testNode:vendorA:containerCluster:1.0.0",
"accessLevelId": "urn:vcloud:accessLevel:ReadOnly"
}
]
}
Code Samples
COPY
curl -H 'Authorization: <value>' https://{api_host}/cloudapi/1.0.0/entityTypes/{id}/behaviorAccessControls?page=value&pageSize=v
Availability
Added in 35.0
On This Page
Defined Interface Behaviors Operations
GET
Get Defined Entity Type Behaviors
GET
Get Type Behavior
GET
Get Defined Entity Type Access
POST
Add Defined Entity Type Access
PUT
Set Defined Entity Type Access
GET
Get Interface Behaviors
GET
Get Interface Behavior
POST
Invoke Static Behavior
GET
Get Static Behavior Execution Log
POST
Invoke Defined Entity Behavior
GET
Get Behavior Execution Log